#include <bits/stdc++.h>
using namespace std;
int main(){
    double l,d,p,q,r,br=0,maximum,prvi;
    bool b=0;
    cin>>p>>q>>r>>l>>d;
    maximum= max(p,max(q,r));
    for(double n=d; n>=l; n--){
        if(ceil(n/p)+ceil(n/q)+ceil(n/r)<=n){
            br++;
            if(b==0){
                prvi=n;
                b=1;
            }
        }
        if(br==maximum){
            br=br+prvi-l+1;
            n=l+1;
        }
    }
    cout<<br;
}